<template>
  <el-header>
    <div class="title-section d-flex flex-column">
      <h1
        class="text-dark text-center text-uppercase fw-bolder se-title fs-2hx"
      >
        Roadmap Keahlian
      </h1>
      <div
        class="separator m-1 w-90px border-3 border-dark align-self-center"
      ></div>
    </div>
  </el-header>
  <!-- <div
    class="list-roadmap-wrapper d-flex row bd-highlight justify-content-start"
  >
    <div v-for="(item, index) in props.data" :key="index" class="my-3 col-md-3">
      <div class="card">
        <img :src="item.image.Location" class="card-img-top" />
        <div class="card bg-transparent">
          <div class="card-header ribbon border-0">
            <div class="ribbon-label bg-primary">{{ item.majorAcronym }}</div>
          </div>
        </div>
        <div class="card-body">
          <h5 class="card-title">{{ item.title }}</h5>
          <p class="card-text">Roadmap Keahlian</p>
        </div>
      </div>
    </div>
  </div> -->
  <XyzTransitionGroup
    appear
    xyz="fade duration-5 appear-front-3 small-3 appear-small-0 stagger-2 out-stagger-0"
    class="
      list-roadmap-wrapper
      d-flex
      row
      bd-highlight
      justify-content-start
      xyz-appear
      mt-10
    "
  >
    <div v-for="(item, index) in props.data" :key="index" class="my-3 col-md-3">
      <template v-if="index < 4">
        <router-link :to="{ name: 'detail', query: { id: item._id } }">
          <div class="card">
            <img :src="item.image.Location" class="card-img-top" />
            <div class="card bg-transparent">
              <div class="card-header ribbon border-0">
                <div class="ribbon-label bg-primary">
                  {{ item.majorAcronym }}
                </div>
              </div>
            </div>
            <div class="card-body">
              <h5 class="card-title">{{ item.title }}</h5>
              <p class="card-text">Roadmap Keahlian</p>
            </div>
          </div>
        </router-link>
      </template>
    </div>
  </XyzTransitionGroup>
  <div class="more-action text-center my-7">
    <router-link to="/roadmap">
      <span
        class="
          btn
          btn-outline
          btn-outline-dashed
          btn-outline-primary
          btn-active-light-primary
          me-2
          mb-2
        "
        >Lihat Seluruh Roadmap Keahlian</span
      >
    </router-link>
  </div>
</template>

<script>
export default {
  props: {
    data: [],
  },
  setup(props) {
    return { props };
  },
};
</script>

<style lang="scss" scoped>
</style>